# this spec is based on
# ftp://sawmill.sourceforge.net/pub/sawmill/RPMS/redhat-6.2/sawfish-0.36-1.src.rpm
# and see http://sawfish.gnome.gr.jp/

Summary:     An extensible window manager for the X Window System.
Summary(ja): ͡ꡦĥǽ X11 ɥޥ͡
Name:        sawfish
Version:     1.3
Release:     0vl2
License:     GPL2
Group:       User Interface/Desktops
URL:         http://sawmill.sourceforge.net/
Source0:     http://download.sourceforge.net/sawmill/sawfish-%{version}.tar.gz
# for alpha
Patch50:     sawfish-1.0.1-unmap_notify.patch
# for Vine
Source100:   sawfish-CleanVine_theme.tar.gz
Source101:   http://www.coolbrain.net/dl/themes/sawfish/NeoVine.tar.gz
Source200:   sawfish-1.3-ja.po
Patch100:    sawfish-1.1-vine-defaults.patch
Patch101:    sawfish-1.0.1-vinemenu.patch
Patch103:    sawfish-1.0.1-defaulttheme.patch
#Patch104:    sawfish-1.1-viewport.patch
#Patch105:    sawfish-1.1-noutf8.patch

Requires:    librep >= 0.17, rep-gtk
PreReq:      /sbin/install-info
BuildPrereq: rep-gtk control-center-devel gmp-devel texinfo db4-devel
BuildPrereq: esound-devel audiofile-devel
BuildPrereq: librep-devel >= 0.17
BuildPreReq: rep-gtk-libglade rep-gtk-gnome
Buildroot:   %{_tmppath}/%{name}-%{version}-root

Obsoletes:   sawmill sawmill-gnome sawfish-gnome sawfish-themer
Vendor: Project Vine
Distribution: Vine Linux

%description
Sawfish is an extensible window manager which uses a Lisp-based
scripting language.  All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language.  Configuration can be
accomplished by writing Lisp code in a personal .sawfishrc file, or
using a GTK+ interface.  Sawfish is mostly GNOME compliant

%description -l ja
LISP١ΥץȸѤĥι⤤ɥޥ͡
Ǥ --- ɥǽ, ŪʻۤȤ,
LISPˤ̤Ʋǽʸ¤͡ʥ桼󥿥եˤ
Ƥ褦ˤʤäƤޤ.
 GTK󥿥ե̤뤳ȤǽǤ. Sawfishϴ
GNOMEߴǤ

#%package themer
#Summary:     A GUI for creating sawfish window manager themes.
#Summary(ja): sawfishɥޥ͡Υơ޺ΤGUI
#Group:       User Interface/Desktops
#Requires:    %{name} = %{version}, rep-gtk-libglade
#Obsoletes:   sawmill-themer

#%description themer
#The sawfish-themer package contains an optional theme builder for the
#sawfish window manager. sawfish-themer allows static window themes to
#be created and edited in a graphical environment.

#%description themer -l ja
#sawfishΥơ޺ġΥץѥåǤ.
#Ūʥɥơޤ򥰥եĶǺԽ뤳ȤǽǤ.

%prep
%setup -q -n %{name}-%{version}
%ifarch alpha
%patch50 -p1 -b .un
%endif
%patch100 -p1 -b .vinedefaults
%patch101 -p1 -b .vinemenu
%patch103 -p1 -b .defaulttheme
#%patch104 -p1 -b .viewport
#%patch105 -p1 -b .noutf8

cp -f %{SOURCE200} po/ja.po

%build
LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG 
export CC=%{_target_platform}-gcc
%configure --with-x --enable-capplet --enable-themer --enable-gnome-widgets
#./configure --prefix=/usr --with-readline
make host_type=%{_target_platform}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Settings
mkdir -p $RPM_BUILD_ROOT%{_infodir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sawfish/%{version}/themes
#mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install \
    DESTDIR=$RPM_BUILD_ROOT \
    GNOMEDIR=%{_prefix} \
    host_type=%{_target_platform} \
    infodir=%{_infodir}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/sawfish*

# CleanVine/NeoVine theme
tar zxf %{SOURCE100} -C $RPM_BUILD_ROOT%{_datadir}/sawfish/%{version}/themes/
tar zxf %{SOURCE101} -C $RPM_BUILD_ROOT%{_datadir}/sawfish/%{version}/themes/

%{find_lang} %{name}

%post
/sbin/install-info %{_infodir}/sawfish.info.gz %{_infodir}/dir


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sawfish.info.gz %{_infodir}/dir
fi


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog 
%doc FAQ HACKING INSTALL NEWS README THANKS TODO
%doc po/sawfish.pot lisp/sawfish/ui/WIDGETS lisp/sawfish/ui/WISHLIST
%{_bindir}/sawfish
%{_bindir}/sawfish-client
%{_bindir}/sawfish-ui
#%{_bindir}/sawfish-capplet
%{_datadir}/control-center-2.0/capplets/*
#%{_datadir}/gnome/apps/Settings/Sawfish
%{_datadir}/gnome/wm-properties/Sawfish.desktop
%{_datadir}/pixmaps/sawfish*.png
%{_datadir}/sawfish/%{version}
%{_libexecdir}/sawfish/%{version}/%{_target_platform}
%{_libexecdir}/rep/%{_target_platform}/sawfish
%{_infodir}/sawfish*

#%files themer
#%defattr(-,root,root)
#%{_bindir}/sawfish-themer
#%{_datadir}/sawfish/%{version}/themer.glade

%changelog
* Sun Feb 15 2004 Tomohito MAKINO <tomohito@ueda.info.waseda.ac.jp> 1.3-0vl2
- add "export CC=%{_target_platform}-gcc" (libtool, automake, or other's bug?)
- remove patch104,105
- Requires: rep-gtk >= 0.17 (before: 0.16.1)
- BuildPreReq: librep-devel >= 0.17
- BuildPreReq: rep-gtk-libglade rep-gtk-gnome
 
* Tue Jan 20 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3-0vl1
- update tp 1.3 and ja.po is also updated. 
- rebuild with new toolchains
- rebuild with rep-gtk2

* Thu Oct 17 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-0vl3
- update ja.po.

* Thu Oct 17 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-0vl2
- add patch104 to add viewport support in UI (again).
- add patch105 to don't use utf8.
- modified patch100.

* Sun Sep 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-0vl1
- new upstream release 1.1-gtk1

* Wed May 08 2002 Satoshi MACHINO <machino@vinelinux.org> 1.0.1-0vl6
- fixed changelog
	-- don't expand macros in changelog ;P
	
* Wed May 01 2002 Satoshi MACHINO <machino@vinelinux.org> 1.0.1-0vl5
- changed to use configure in build section
	(can't build on sparc)
	
* Mon Mar 04 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl4
- use NeoVine as default theme.

* Thu Jan 31 2002 Toru Sagami <sagami@vinelinux.org> 1.0.1-0vl3
- fixed menu (patch101): replace obsoleted vmail with sylpheed

* Thu Jan 31 2002 Tomoya TAKA <taka@vinelinux.org> 1.0.1-0vl2
- add unmap_notify.patch for alpha

* Wed Jan 23 2002 Jun Nishii <jun@vinelinux.org> 1.0.1-0vl1
- ver.up
- BuildPrereq: db1-devel

* Mon Jul 16 2001 <sagami@vinelinux.org>
- 1.0-0vl2: minor spec fixes
- added AUTHORS ChangeLog COPYING files to %%docs
- use %%{find_lang} so as not to own %%{_datadir}/locale

* Mon Jul 16 2001 Daisuke SUZUKi <daisuke@linux.or.jp> 1.0-0vl1
- update to 1.0

* Sun May 20 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.38-0vl1
- updated to 0.38

* Sat Mar 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.37.3-0vl2
- fixed sawfish-themer require bugs

* Fri Mar 16 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.37.3-0vl1
- update to 0.37.3

* Thu Feb  1 2001 Shoji Matsumoto <shom@vinelinux.org> 0.36-1vl0
- modified for Vine
- add CleanVine, vinedefaults, vinemenu, never_focus

* Tue Jun 12 2000 John Harper <john@dcs.warwick.ac.uk>
- merged differences from RH spec file

* Mon Apr 24 2000 John Harper <john@dcs.warwick.ac.uk>
- s/sawmill/sawfish/

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot
